Upstream information

CVE-2018-3081 at MITRE

Description

Vulnerability in the MySQL Client component of Oracle MySQL (subcomponent: Client programs). Supported versions that are affected are 5.5.60 and prior, 5.6.40 and prior, 5.7.22 and prior and 8.0.11 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Client. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Client as well as unauthorized update, insert or delete access to some of MySQL Client accessible data. CVSS 3.0 Base Score 5.0 (Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:L/A:H).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:N/AC:M/Au:S/C:N/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5 5
Vector AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:L/A:H AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:L/A:H
Access Vector Network Network
Access Complexity High High
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact Low Low
Availability Impact High High
SUSE Bugzilla entry: 1101680 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.61-0.39.15.1
  • libmysql55client18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client18-x86 >= 5.5.61-0.39.15.1
  • libmysql55client_r18 >= 5.5.61-0.39.15.1
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
  • mysql-client >= 5.5.61-0.39.15.1
  • mysql-tools >= 5.5.61-0.39.15.1
Patchnames:
slessp4-mysql-13739
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libmysql55client18 >= 5.5.61-0.39.15.1
  • libmysql55client18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client18-x86 >= 5.5.61-0.39.15.1
  • libmysql55client_r18 >= 5.5.61-0.39.15.1
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
  • mysql-client >= 5.5.61-0.39.15.1
  • mysql-tools >= 5.5.61-0.39.15.1
Patchnames:
slessp4-mysql-13739
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.61-0.39.15.1
  • libmysql55client_r18-x86 >= 5.5.61-0.39.15.1
  • mysql >= 5.5.61-0.39.15.1
Patchnames:
sdksp4-mysql-13739
openSUSE Leap 42.3
  • libmysql56client18 >= 5.6.41-39.1
  • libmysql56client18-32bit >= 5.6.41-39.1
  • libmysql56client18-debuginfo >= 5.6.41-39.1
  • libmysql56client18-debuginfo-32bit >= 5.6.41-39.1
  • libmysql56client_r18 >= 5.6.41-39.1
  • libmysql56client_r18-32bit >= 5.6.41-39.1
  • mysql-community-server >= 5.6.41-39.1
  • mysql-community-server-bench >= 5.6.41-39.1
  • mysql-community-server-bench-debuginfo >= 5.6.41-39.1
  • mysql-community-server-client >= 5.6.41-39.1
  • mysql-community-server-client-debuginfo >= 5.6.41-39.1
  • mysql-community-server-debuginfo >= 5.6.41-39.1
  • mysql-community-server-debugsource >= 5.6.41-39.1
  • mysql-community-server-errormessages >= 5.6.41-39.1
  • mysql-community-server-test >= 5.6.41-39.1
  • mysql-community-server-test-debuginfo >= 5.6.41-39.1
  • mysql-community-server-tools >= 5.6.41-39.1
  • mysql-community-server-tools-debuginfo >= 5.6.41-39.1
Patchnames:
openSUSE-2018-844


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 mysql Ignore
SUSE Linux Enterprise Server 11 SP3 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP4 mysql Released